(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/forms'), require('@ng-dynamic-forms/core'), require('@angular/common'), require('angular2-text-mask')) :
    typeof define === 'function' && define.amd ? define('@ng-dynamic-forms/ui-foundation', ['exports', '@angular/core', '@angular/forms', '@ng-dynamic-forms/core', '@angular/common', 'angular2-text-mask'], factory) :
    (global = global || self, factory((global.ngDynamicForms = global.ngDynamicForms || {}, global.ngDynamicForms.ui = global.ngDynamicForms.ui || {}, global.ngDynamicForms.ui.foundation = {}), global.ng.core, global.ng.forms, global.ngDynamicForms.core, global.ng.common, global['angular2-text-mask']));
}(this, (function (exports, core, forms, core$1, common, angular2TextMask) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    var DynamicFoundationCheckboxComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationCheckboxComponent, _super);
        function DynamicFoundationCheckboxComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationCheckboxComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationCheckboxComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationCheckboxComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationCheckboxComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicCheckboxModel)
        ], DynamicFoundationCheckboxComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationCheckboxComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationCheckboxComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationCheckboxComponent.prototype, "focus", void 0);
        DynamicFoundationCheckboxComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-checkbox",
                template: "<label [formGroup]=\"group\">\n\n    <input type=\"checkbox\"\n           [checked]=\"model.checked\"\n           [formControlName]=\"model.id\"\n           [id]=\"id\"\n           [indeterminate]=\"model.indeterminate\"\n           [name]=\"model.name\"\n           [ngClass]=\"getClass('element', 'control')\"\n           [required]=\"model.required\"\n           [tabindex]=\"model.tabIndex\"\n           [value]=\"model.value\"\n           (blur)=\"onBlur($event)\"\n           (change)=\"onChange($event)\"\n           (focus)=\"onFocus($event)\"/><span [ngClass]=\"[getClass('element', 'label'), getClass('grid', 'label')]\"\n                                            [innerHTML]=\"model.label\"></span></label>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationCheckboxComponent);
        return DynamicFoundationCheckboxComponent;
    }(core$1.DynamicFormControlComponent));

    var DynamicFoundationTextAreaComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationTextAreaComponent, _super);
        function DynamicFoundationTextAreaComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationTextAreaComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationTextAreaComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationTextAreaComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationTextAreaComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicTextAreaModel)
        ], DynamicFoundationTextAreaComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationTextAreaComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationTextAreaComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationTextAreaComponent.prototype, "focus", void 0);
        DynamicFoundationTextAreaComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-textarea",
                template: "<ng-container [formGroup]=\"group\">\n\n    <textarea [class.is-invalid-input]=\"showErrorMessages\"\n              [cols]=\"model.cols\"\n              [formControlName]=\"model.id\"\n              [id]=\"id\"\n              [maxlength]=\"model.maxLength\"\n              [minlength]=\"model.minLength\"\n              [name]=\"model.name\"\n              [ngClass]=\"getClass('element', 'control')\"\n              [placeholder]=\"model.placeholder\"\n              [readonly]=\"model.readOnly\"\n              [required]=\"model.required\"\n              [rows]=\"model.rows\"\n              [spellcheck]=\"model.spellCheck\"\n              [tabindex]=\"model.tabIndex\"\n              [wrap]=\"model.wrap\"\n              (blur)=\"onBlur($event)\"\n              (change)=\"onChange($event)\"\n              (focus)=\"onFocus($event)\"></textarea>\n\n</ng-container>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationTextAreaComponent);
        return DynamicFoundationTextAreaComponent;
    }(core$1.DynamicFormControlComponent));

    var DynamicFoundationSwitchComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationSwitchComponent, _super);
        function DynamicFoundationSwitchComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationSwitchComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationSwitchComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationSwitchComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationSwitchComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicSwitchModel)
        ], DynamicFoundationSwitchComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationSwitchComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationSwitchComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationSwitchComponent.prototype, "focus", void 0);
        DynamicFoundationSwitchComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-switch",
                template: "<div [formGroup]=\"group\" class=\"switch\" [ngClass]=\"getClass('element', 'control')\">\n\n    <input type=\"checkbox\" class=\"switch-input\"\n           [checked]=\"model.checked\"\n           [formControlName]=\"model.id\"\n           [id]=\"id\"\n           [name]=\"model.name\"\n           [required]=\"model.required\"\n           [tabindex]=\"model.tabIndex\"\n           [value]=\"model.value\"\n           (blur)=\"onBlur($event)\"\n           (change)=\"onChange($event)\"\n           (focus)=\"onFocus($event)\"/>\n\n    <label class=\"switch-paddle\" [for]=\"id\">\n\n        <span class=\"switch-active\" aria-hidden=\"true\">{{ model.onLabel }}</span>\n        <span class=\"switch-inactive\" aria-hidden=\"true\">{{ model.offLabel }}</span>\n\n    </label>\n\n</div>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationSwitchComponent);
        return DynamicFoundationSwitchComponent;
    }(core$1.DynamicFormControlComponent));

    var DynamicFoundationSelectComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationSelectComponent, _super);
        function DynamicFoundationSelectComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationSelectComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationSelectComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationSelectComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationSelectComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicSelectModel)
        ], DynamicFoundationSelectComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationSelectComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationSelectComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationSelectComponent.prototype, "focus", void 0);
        DynamicFoundationSelectComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-select",
                template: "<ng-container [formGroup]=\"group\">\n\n    <select [compareWith]=\"model.compareWithFn\"\n            [formControlName]=\"model.id\"\n            [id]=\"id\"\n            [name]=\"model.name\"\n            [ngClass]=\"getClass('element', 'control')\"\n            [required]=\"model.required\"\n            [tabindex]=\"model.tabIndex\"\n            (blur)=\"onBlur($event)\"\n            (change)=\"onChange($event)\"\n            (focus)=\"onFocus($event)\">\n\n        <option *ngFor=\"let option of model.options$ | async\"\n                [disabled]=\"option.disabled\"\n                [ngValue]=\"option.value\">{{ option.label }}\n        </option>\n\n    </select>\n\n</ng-container>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationSelectComponent);
        return DynamicFoundationSelectComponent;
    }(core$1.DynamicFormControlComponent));

    var DynamicFoundationRadioGroupComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationRadioGroupComponent, _super);
        function DynamicFoundationRadioGroupComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationRadioGroupComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationRadioGroupComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationRadioGroupComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationRadioGroupComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicRadioGroupModel)
        ], DynamicFoundationRadioGroupComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationRadioGroupComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationRadioGroupComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationRadioGroupComponent.prototype, "focus", void 0);
        DynamicFoundationRadioGroupComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-radio-group",
                template: "<fieldset role=\"radiogroup\"\n          [formGroup]=\"group\"\n          [id]=\"id\"\n          [name]=\"model.name\"\n          [ngClass]=\"getClass('element', 'control')\"\n          [tabindex]=\"model.tabIndex\"\n          (change)=\"onChange($event)\">\n\n    <legend *ngIf=\"model.legend\" [innerHTML]=\"model.legend\"></legend>\n\n    <label *ngFor=\"let option of model.options$ | async\" [ngClass]=\"getClass('element', 'option')\">\n\n        <input type=\"radio\"\n               [formControlName]=\"model.id\"\n               [name]=\"model.name\"\n               [value]=\"option.value\"\n               (blur)=\"onBlur($event)\"\n               (focus)=\"onFocus($event)\"/><span [innerHTML]=\"option.label\"></span></label>\n\n</fieldset>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationRadioGroupComponent);
        return DynamicFoundationRadioGroupComponent;
    }(core$1.DynamicFormControlComponent));

    var DynamicFoundationInputComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationInputComponent, _super);
        function DynamicFoundationInputComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationInputComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationInputComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationInputComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationInputComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicInputModel)
        ], DynamicFoundationInputComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationInputComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationInputComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationInputComponent.prototype, "focus", void 0);
        DynamicFoundationInputComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-input",
                template: "<div [formGroup]=\"group\" class=\"input-group\">\n\n    <span *ngIf=\"model.prefix\" class=\"input-group-label\" [innerHTML]=\"model.prefix\"></span>\n\n    <input class=\"input-group-field\"\n           [attr.accept]=\"model.accept\"\n           [attr.max]=\"model.max\"\n           [attr.min]=\"model.min\"\n           [attr.multiple]=\"model.multiple\"\n           [attr.step]=\"model.step\"\n           [autocomplete]=\"model.autoComplete\"\n           [autofocus]=\"model.autoFocus\"\n           [class.is-invalid-input]=\"showErrorMessages\"\n           [dynamicList]=\"model.listId\"\n           [formControlName]=\"model.id\"\n           [id]=\"id\"\n           [maxlength]=\"model.maxLength\"\n           [minlength]=\"model.minLength\"\n           [name]=\"model.name\"\n           [ngClass]=\"getClass('element', 'control')\"\n           [pattern]=\"model.pattern\"\n           [placeholder]=\"model.placeholder\"\n           [readonly]=\"model.readOnly\"\n           [required]=\"model.required\"\n           [spellcheck]=\"model.spellCheck\"\n           [tabindex]=\"model.tabIndex\"\n           [textMask]=\"{mask: (model.mask || false), showMask: model.mask && !(model.placeholder)}\"\n           [type]=\"model.inputType\"\n           (blur)=\"onBlur($event)\"\n           (change)=\"onChange($event)\"\n           (focus)=\"onFocus($event)\"/>\n\n    <span *ngIf=\"model.suffix\" class=\"input-group-label\" [innerHTML]=\"model.suffix\"></span>\n\n    <datalist *ngIf=\"model.hasList\" [id]=\"model.listId\">\n\n        <option *ngFor=\"let option of model.list$ | async\" [value]=\"option\">\n\n    </datalist>\n\n</div>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationInputComponent);
        return DynamicFoundationInputComponent;
    }(core$1.DynamicFormControlComponent));

    var DynamicFoundationFormGroupComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationFormGroupComponent, _super);
        function DynamicFoundationFormGroupComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.customEvent = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationFormGroupComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormGroupComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationFormGroupComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormGroupComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicFormGroupModel)
        ], DynamicFoundationFormGroupComponent.prototype, "model", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormGroupComponent.prototype, "templates", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormGroupComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormGroupComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormGroupComponent.prototype, "customEvent", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormGroupComponent.prototype, "focus", void 0);
        __decorate([
            core.ViewChildren(core.forwardRef(function () { return DynamicFoundationFormControlContainerComponent; })),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormGroupComponent.prototype, "components", void 0);
        DynamicFoundationFormGroupComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-form-group",
                template: "<ng-container [formGroup]=\"group\">\n\n    <fieldset [formGroupName]=\"model.id\"\n              [id]=\"id\"\n              [name]=\"model.name\"\n              [ngClass]=\"getClass('element', 'control')\">\n\n        <legend *ngIf=\"model.legend\" [innerHTML]=\"model.legend\"></legend>\n\n        <dynamic-foundation-form-control *ngFor=\"let _model of model.group\"\n                                         [group]=\"control\"\n                                         [hidden]=\"_model.hidden\"\n                                         [layout]=\"formLayout\"\n                                         [model]=\"_model\"\n                                         [templates]=\"templates\"\n                                         [hostClass]=\"[getClass('element','children'), getClass('grid','children')]\"\n                                         (blur)=\"onBlur($event)\"\n                                         (change)=\"onChange($event)\"\n                                         (focus)=\"onFocus($event)\"\n                                         (bsEvent)=\"onCustomEvent($event, null, true)\"></dynamic-foundation-form-control>\n    </fieldset>\n\n</ng-container>\n"
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationFormGroupComponent);
        return DynamicFoundationFormGroupComponent;
    }(core$1.DynamicFormGroupComponent));

    var DynamicFoundationFormControlContainerComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationFormControlContainerComponent, _super);
        function DynamicFoundationFormControlContainerComponent(changeDetectorRef, componentFactoryResolver, layoutService, validationService, componentService, relationService) {
            var _this = _super.call(this, changeDetectorRef, componentFactoryResolver, layoutService, validationService, componentService, relationService) || this;
            _this.changeDetectorRef = changeDetectorRef;
            _this.componentFactoryResolver = componentFactoryResolver;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.componentService = componentService;
            _this.relationService = relationService;
            _this.context = null;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(DynamicFoundationFormControlContainerComponent.prototype, "componentType", {
            get: function () {
                return this.componentService.getCustomComponentType(this.model) || foundationUIFormControlMapFn(this.model);
            },
            enumerable: true,
            configurable: true
        });
        DynamicFoundationFormControlContainerComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core.ComponentFactoryResolver },
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService },
            { type: core$1.DynamicFormComponentService },
            { type: core$1.DynamicFormRelationService }
        ]; };
        __decorate([
            core.ContentChildren(core$1.DynamicTemplateDirective),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormControlContainerComponent.prototype, "contentTemplateList", void 0);
        __decorate([
            core.HostBinding("class"),
            __metadata("design:type", Object)
        ], DynamicFoundationFormControlContainerComponent.prototype, "klass", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicFormArrayGroupModel)
        ], DynamicFoundationFormControlContainerComponent.prototype, "context", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationFormControlContainerComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], DynamicFoundationFormControlContainerComponent.prototype, "hostClass", void 0);
        __decorate([
            core.Input("templates"),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormControlContainerComponent.prototype, "inputTemplateList", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormControlContainerComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicFormControlModel)
        ], DynamicFoundationFormControlContainerComponent.prototype, "model", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormControlContainerComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormControlContainerComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormControlContainerComponent.prototype, "focus", void 0);
        __decorate([
            core.ViewChild("componentViewContainer", { read: core.ViewContainerRef, static: true }),
            __metadata("design:type", core.ViewContainerRef)
        ], DynamicFoundationFormControlContainerComponent.prototype, "componentViewContainerRef", void 0);
        DynamicFoundationFormControlContainerComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-form-control",
                template: "<div [formGroup]=\"group\"\n     [ngClass]=\"['ng-dynamic-forms-'+model.type.toLowerCase(), getClass('element', 'container'), getClass('grid', 'container')]\">\n\n    <div *ngIf=\"!isCheckbox && hasLabel\" [ngClass]=\"getClass('grid', 'label')\">\n\n        <label [class.is-invalid-label]=\"showErrorMessages\"\n               [for]=\"id\"\n               [innerHTML]=\"model.label\"\n               [ngClass]=\"getClass('element', 'label')\"></label>\n    </div>\n\n    <ng-container *ngTemplateOutlet=\"startTemplate?.templateRef; context: model\"></ng-container>\n\n    <div [ngClass]=\"getClass('grid', 'control')\">\n\n        <ng-container #componentViewContainer></ng-container>\n\n    </div>\n\n    <ul *ngIf=\"showErrorMessages\" [ngClass]=\"[getClass('element', 'errors'), getClass('grid', 'errors')]\">\n        <li *ngFor=\"let message of errorMessages\" class=\"form-error is-visible\">{{ message }}</li>\n    </ul>\n\n    <ng-container *ngTemplateOutlet=\"endTemplate?.templateRef; context: model\"></ng-container>\n\n    <ng-content></ng-content>\n\n</div>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core.ChangeDetectorRef,
                core.ComponentFactoryResolver,
                core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService,
                core$1.DynamicFormComponentService,
                core$1.DynamicFormRelationService])
        ], DynamicFoundationFormControlContainerComponent);
        return DynamicFoundationFormControlContainerComponent;
    }(core$1.DynamicFormControlContainerComponent));
    function foundationUIFormControlMapFn(model) {
        switch (model.type) {
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_ARRAY:
                return DynamicFoundationFormArrayComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_CHECKBOX:
                return DynamicFoundationCheckboxComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_CHECKBOX_GROUP:
                return DynamicFoundationFormGroupComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_GROUP:
                return DynamicFoundationFormGroupComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_INPUT:
                return DynamicFoundationInputComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_RADIO_GROUP:
                return DynamicFoundationRadioGroupComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_SELECT:
                return DynamicFoundationSelectComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_SWITCH:
                return DynamicFoundationSwitchComponent;
            case core$1.DYNAMIC_FORM_CONTROL_TYPE_TEXTAREA:
                return DynamicFoundationTextAreaComponent;
            default:
                return null;
        }
    }

    var DynamicFoundationFormArrayComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationFormArrayComponent, _super);
        function DynamicFoundationFormArrayComponent(layoutService, validationService) {
            var _this = _super.call(this, layoutService, validationService) || this;
            _this.layoutService = layoutService;
            _this.validationService = validationService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.customEvent = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationFormArrayComponent.ctorParameters = function () { return [
            { type: core$1.DynamicFormLayoutService },
            { type: core$1.DynamicFormValidationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormArrayComponent.prototype, "formLayout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationFormArrayComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormArrayComponent.prototype, "layout", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core$1.DynamicFormArrayModel)
        ], DynamicFoundationFormArrayComponent.prototype, "model", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormArrayComponent.prototype, "templates", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormArrayComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormArrayComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormArrayComponent.prototype, "customEvent", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormArrayComponent.prototype, "focus", void 0);
        __decorate([
            core.ViewChildren(core.forwardRef(function () { return DynamicFoundationFormControlContainerComponent; })),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormArrayComponent.prototype, "components", void 0);
        DynamicFoundationFormArrayComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-form-array",
                template: "<ng-container [formGroup]=\"group\">\n\n    <div [formArrayName]=\"model.id\" [id]=\"id\" [ngClass]=\"getClass('element', 'control')\">\n\n        <div *ngFor=\"let groupModel of model.groups; let idx = index\" role=\"group\"\n             [formGroupName]=\"idx\" [ngClass]=\"[getClass('element', 'group'), getClass('grid', 'group')]\">\n\n            <ng-container *ngTemplateOutlet=\"startTemplate?.templateRef; context: groupModel\"></ng-container>\n\n            <dynamic-foundation-form-control *ngFor=\"let _model of groupModel.group\"\n                                             [context]=\"groupModel\"\n                                             [group]=\"array.at(idx)\"\n                                             [hidden]=\"_model.hidden\"\n                                             [layout]=\"formLayout\"\n                                             [model]=\"_model\"\n                                             [templates]=\"templates\"\n                                             [hostClass]=\"[getClass('element','children'), getClass('grid','children')]\"\n                                             (blur)=\"onBlur($event)\"\n                                             (change)=\"onChange($event)\"\n                                             (focus)=\"onFocus($event)\"\n                                             (bsEvent)=\"onCustomEvent($event, null, true)\"></dynamic-foundation-form-control>\n\n            <ng-container *ngTemplateOutlet=\"endTemplate?.templateRef; context: groupModel\"></ng-container>\n\n        </div>\n\n    </div>\n\n</ng-container>\n"
            }),
            __metadata("design:paramtypes", [core$1.DynamicFormLayoutService,
                core$1.DynamicFormValidationService])
        ], DynamicFoundationFormArrayComponent);
        return DynamicFoundationFormArrayComponent;
    }(core$1.DynamicFormArrayComponent));

    var DynamicFoundationFormComponent = /** @class */ (function (_super) {
        __extends(DynamicFoundationFormComponent, _super);
        function DynamicFoundationFormComponent(changeDetectorRef, componentService) {
            var _this = _super.call(this, changeDetectorRef, componentService) || this;
            _this.changeDetectorRef = changeDetectorRef;
            _this.componentService = componentService;
            _this.blur = new core.EventEmitter();
            _this.change = new core.EventEmitter();
            _this.focus = new core.EventEmitter();
            return _this;
        }
        DynamicFoundationFormComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core$1.DynamicFormComponentService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", forms.FormGroup)
        ], DynamicFoundationFormComponent.prototype, "group", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], DynamicFoundationFormComponent.prototype, "model", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], DynamicFoundationFormComponent.prototype, "layout", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormComponent.prototype, "blur", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormComponent.prototype, "change", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", core.EventEmitter)
        ], DynamicFoundationFormComponent.prototype, "focus", void 0);
        __decorate([
            core.ContentChildren(core$1.DynamicTemplateDirective),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormComponent.prototype, "templates", void 0);
        __decorate([
            core.ViewChildren(DynamicFoundationFormControlContainerComponent),
            __metadata("design:type", core.QueryList)
        ], DynamicFoundationFormComponent.prototype, "components", void 0);
        DynamicFoundationFormComponent = __decorate([
            core.Component({
                selector: "dynamic-foundation-form",
                template: "<dynamic-foundation-form-control *ngFor=\"let controlModel of model; trackBy: trackByFn\"\n                                 [group]=\"group\"\n                                 [hidden]=\"controlModel.hidden\"\n                                 [layout]=\"layout\"\n                                 [model]=\"controlModel\"\n                                 [templates]=\"templates\"\n                                 (blur)=\"onBlur($event)\"\n                                 (change)=\"onChange($event)\"\n                                 (focus)=\"onFocus($event)\"></dynamic-foundation-form-control>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            }),
            __metadata("design:paramtypes", [core.ChangeDetectorRef,
                core$1.DynamicFormComponentService])
        ], DynamicFoundationFormComponent);
        return DynamicFoundationFormComponent;
    }(core$1.DynamicFormComponent));

    var DynamicFormsFoundationUIModule = /** @class */ (function () {
        function DynamicFormsFoundationUIModule() {
        }
        DynamicFormsFoundationUIModule = __decorate([
            core.NgModule({
                imports: [
                    common.CommonModule,
                    forms.ReactiveFormsModule,
                    angular2TextMask.TextMaskModule,
                    core$1.DynamicFormsCoreModule
                ],
                declarations: [
                    DynamicFoundationCheckboxComponent,
                    DynamicFoundationFormArrayComponent,
                    DynamicFoundationFormComponent,
                    DynamicFoundationFormControlContainerComponent,
                    DynamicFoundationFormGroupComponent,
                    DynamicFoundationInputComponent,
                    DynamicFoundationRadioGroupComponent,
                    DynamicFoundationSelectComponent,
                    DynamicFoundationSwitchComponent,
                    DynamicFoundationTextAreaComponent
                ],
                entryComponents: [
                    DynamicFoundationCheckboxComponent,
                    DynamicFoundationFormArrayComponent,
                    DynamicFoundationFormGroupComponent,
                    DynamicFoundationInputComponent,
                    DynamicFoundationRadioGroupComponent,
                    DynamicFoundationSelectComponent,
                    DynamicFoundationSwitchComponent,
                    DynamicFoundationTextAreaComponent
                ],
                exports: [
                    core$1.DynamicFormsCoreModule,
                    DynamicFoundationCheckboxComponent,
                    DynamicFoundationFormArrayComponent,
                    DynamicFoundationFormComponent,
                    DynamicFoundationFormControlContainerComponent,
                    DynamicFoundationFormGroupComponent,
                    DynamicFoundationInputComponent,
                    DynamicFoundationRadioGroupComponent,
                    DynamicFoundationSelectComponent,
                    DynamicFoundationSwitchComponent,
                    DynamicFoundationTextAreaComponent
                ]
            })
        ], DynamicFormsFoundationUIModule);
        return DynamicFormsFoundationUIModule;
    }());

    exports.DynamicFormsFoundationUIModule = DynamicFormsFoundationUIModule;
    exports.DynamicFoundationCheckboxComponent = DynamicFoundationCheckboxComponent;
    exports.DynamicFoundationFormArrayComponent = DynamicFoundationFormArrayComponent;
    exports.DynamicFoundationFormComponent = DynamicFoundationFormComponent;
    exports.DynamicFoundationFormControlContainerComponent = DynamicFoundationFormControlContainerComponent;
    exports.DynamicFoundationFormGroupComponent = DynamicFoundationFormGroupComponent;
    exports.DynamicFoundationInputComponent = DynamicFoundationInputComponent;
    exports.DynamicFoundationRadioGroupComponent = DynamicFoundationRadioGroupComponent;
    exports.DynamicFoundationSelectComponent = DynamicFoundationSelectComponent;
    exports.DynamicFoundationSwitchComponent = DynamicFoundationSwitchComponent;
    exports.DynamicFoundationTextAreaComponent = DynamicFoundationTextAreaComponent;
    exports.foundationUIFormControlMapFn = foundationUIFormControlMapFn;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ui-foundation.umd.js.map
